<?php

namespace App\Http\Controllers;

use App\Models\Apresiasi;
use App\Models\Pelaporan;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class DashboardController extends Controller
{
    // public function index(Request $request){
    //     return view('/dashboard')->with('success','Success login');
    // }


    public function index(Request $request){
        $laporan = Pelaporan::with('tindakan','user')->get();
        $user = $request->user();

        if ($user->role == 'admin') {
            // Jika pengguna adalah admin, hitung total berdasarkan tindakan_id
            $laporan = Pelaporan::with('tindakan','user')->get();
            $total = Pelaporan::where('tindakan_id', 1)->count();
            $tot = Pelaporan::where('tindakan_id', 2)->count();
            $tots = Pelaporan::where('tindakan_id', 3)->count();
            $totals = Pelaporan::where('tindakan_id', 4)->count();
        } elseif ($user->role == 'user') {
            // Jika pengguna adalah pengguna biasa, hitung riwayat pelaporan milik pengguna tersebut
            $riwayatPelaporan = Pelaporan::where('user_id', $user->id)->get();
            $laporan = $riwayatPelaporan->with('tindakan','user')->count();
            // Menghitung total riwayat pelaporan yang dimiliki oleh pengguna
            $total = $riwayatPelaporan->where('tindakan_id', 1)->count();
            // Menghitung total berdasarkan tindakan_id dari riwayat pelaporan pengguna
            $tot = $riwayatPelaporan->where('tindakan_id', 2)->count();
            $tots = $riwayatPelaporan->where('tindakan_id', 3)->count();
            $totals = $riwayatPelaporan->where('tindakan_id', 4)->count();
        }

        $pelaporans = Pelaporan::all();
        $apresiasi = Apresiasi::all();

        return view('users.dashboard', compact('laporan','apresiasi','pelaporans','total', 'tot', 'tots', 'totals'));
    }
}
